Draft Sposta

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Move and the translation is 21% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Label.svg Etichetta
Pagina successiva: Ruota Draft Rotate.svg Arrow-right.svg

Draft Move.svg Sposta

Posizione nel menu
Draft → Sposta
Ambiente
Draft, Architettura
Avvio veloce
M V
Introdotto nella versione
0.7
Vedere anche
Schiera, Copie su tracciato

Descrizione

Questo strumento sposta o copia gli oggetti selezionati da un punto ad un altro punto.

Lo strumento Sposta può essere utilizzato su forme 2D create con Draft o Schizzo, ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o Arch.

Draft Move example.jpg

Spostare un oggetto da un punto a un altro

Utilizzo

See also: Draft Snap and Draft Constrain.

  1. Selezionare gli oggetti che si desidera spostare o copiare
  2. Premere il pulsante Draft Move.svg Sposta, o premere i tasti M e poi V. Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.
  3. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto serve come punto base dell'operazione.
  4. Fare clic su un altro punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto è la nuova posizione del punto base.

Opzioni

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg aggiungi punto quando si hanno i valori desiderati per inserire il punto.
  • Premere R o fare clic sulla casella di controllo per attivare la modalità "relativa". Se la modalità relativa è attiva, le coordinate del secondo punto sono relative alla prima; altrimenti sono assolute, prese dall'origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Sposta verrà riavviato al termine dell'operazione, consentendo di spostare o copiare nuovamente gli oggetti senza premere nuovamente il pulsante dello strumento.
  • Premere P oppure fare clic sulla casella di controllo per attivare la modalità Copia. Se la modalità copia è attiva, lo strumento Sposta mantiene la forma originale al suo posto e crea una copia nel secondo punto.
Si possono usare sia T che P per posizionare più copie in sequenza. In questo caso, l'elemento che viene duplicato è l'ultima copia posizionata.
  • Tenere premuto Alt dopo il secondo punto per attivare o disattivare la modalità di copia. Tenendo premuto Alt dopo aver cliccato sul secondo punto, si può continuare a posizionare altre copie; rilasciare Alt per terminare l'operazione e vedere tutte le copie.
  • Tenere premuto Ctrl mentre si sposta per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si ruota per vincolare il secondo punto in orizzontale o in verticale rispetto al primo.
  • Premere il pulsante Esc o il pulsante Chiudi per interrompere il comando corrente; le copie già posizionate rimangono.

Notes

  • An Object that is attached cannot be moved with the Draft Move command. To move it either its DatiSupport object has to be moved, or its DatiAttachment Offset has to be changed.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General settings → Draft tools options → Select base objects after copying.

Scripting

Lo strumento Sposta può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

moved_list = move(objectslist, vector, copy=False)
  • Sposta il punto base degli oggetti della objectslist di una distanza e nella direzione indicati da vector.
    • objectslist può essere un singolo oggetto o un elenco di oggetti.
Il vettore di spostamento è relativo al punto base dell'oggetto, il che significa che se un oggetto viene spostato di 2 unità e poi di altre 2 unità, in totale viene spostato di 4 unità dalla sua posizione originale.
  • Se copy è True vengono create delle copie invece di spostare gli oggetti originali.
  • Viene restituita una movedlist con gli oggetti originali spostati o con le nuove copie..
    • movedlist è un singolo oggetto o un elenco di oggetti, a seconda dell'input di objectslist.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))

list1 = [polygon1, polygon2, polygon3]

vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Label.svg Etichetta
Pagina successiva: Ruota Draft Rotate.svg Arrow-right.svg